Bug 999685 - Please update sabredav to 1.7 in Rawhide and Fedora 20 to match OwnCloud 5.x
Please update sabredav to 1.7 in Rawhide and Fedora 20 to match OwnCloud 5.x
Product: Fedora
Classification: Fedora
Component: php-sabredav-Sabre (Show other bugs)
All All
unspecified Severity high
: ---
: ---
Assigned To: Joseph Marrero
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-08-21 16:52 EDT by Adam Williamson
Modified: 2013-09-04 12:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-04 12:51:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2013-08-21 16:52:00 EDT
Hi, there. I notice that SabreDAV is still at (an old) 1.6 version in current Rawhide and F20. However, we have OwnCloud 5.x in these Fedora versions. Upstream OC 5 ships with SabreDAV 1.7 in its tree. I've had trouble trying to use CalDAV with OC 5 backported to F19; I suspect the out-of-date SabreDAV has something to do with it.

Can you please build the latest SabreDAV 1.7 - that is, http://code.google.com/p/sabredav/downloads/detail?name=SabreDAV-1.7.8.zip&can=2&q= , at present - for Rawhide and F20, updating all SabreDAV components? Thanks.

(Note, OC 5 has not yet jumped to SabreDAV 1.8: the bug for that is https://github.com/owncloud/core/issues/2146 . We probably shouldn't go to 1.8 in Fedora until OC is happy with it.)
Comment 1 Adam Williamson 2013-08-21 16:53:40 EDT
CCing Gregor, OC maintainer, who may be interested in this. I think my https://bugzilla.redhat.com/show_bug.cgi?id=987678 may well be caused by this. Gregor, might be a good idea to check if any other OC deps are going stale too.
Comment 2 Joseph Marrero 2013-08-28 14:48:39 EDT
I am talking to upstream to figure out when they will be updating owncloud to 1.8.x I know there is a open bug on their github. If soon it will be updated I can push directly to 1.8.x and maybe bundle 1.7.x on owncloud until the update. Remi Colet was about to submit a package that is waiting for this update to 1.8.x so, the thing is or we sacrifice the new packages or bundle 1.7.x sabredav in owncloud until 1.8.x is on owncloud.
Comment 3 Joseph Marrero 2013-09-03 21:26:00 EDT
Updates in the repos for rawhide and f20.

I used Remi Collet's patches, specs and xml files for 1.8.x branch of sabredav as a base. I modified the specs and xml to match 1.7.8 needs. 
sabredav team(upstream) discontinued the use of PHP PEAR that is why we needed to include the package xml in the source files.

Please test the package and report any bugs so I can fix it before f20 release. 

On the owncloud hand, they told me via the mailing list that sabredav 1.8.x will be a feature of Owncloud 7 maybe, tha for owncloud 6 it seems they will stick to sabredav 1.7.x. This means we will stay on sabredav 1.7.x for a while on the fedora repos.

Note You need to log in before you can comment on or make changes to this bug.